XmlReaderContext (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory.xml

## Class XmlReaderContext

- java.lang.Object
- - org.springframework.beans.factory.parsing.ReaderContext
  - - org.springframework.beans.factory.xml.XmlReaderContext

-     public class XmlReaderContext
      extends ReaderContext

  Extension of `ReaderContext`, specific to use with an `XmlBeanDefinitionReader`. Provides access to the `NamespaceHandlerResolver` configured in the `XmlBeanDefinitionReader`.
  Since:
    2.0
  Author:
    Rob Harrop, Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlReaderContext(Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor, XmlBeanDefinitionReader reader, NamespaceHandlerResolver namespaceHandlerResolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateBeanName(BeanDefinition beanDefinition)`
    `ClassLoader` | `getBeanClassLoader()`
    `NamespaceHandlerResolver` | `getNamespaceHandlerResolver()`
    `XmlBeanDefinitionReader` | `getReader()`
    `BeanDefinitionRegistry` | `getRegistry()`
    `ResourceLoader` | `getResourceLoader()`
    `String` | `registerWithGeneratedName(BeanDefinition beanDefinition)`

    - ### Methods inherited from class org.springframework.beans.factory.parsing.ReaderContext

      `error, error, error, error, extractSource, fatal, fatal, fatal, fatal, fireAliasRegistered, fireComponentRegistered, fireDefaultsRegistered, fireImportProcessed, fireImportProcessed, getResource, getSourceExtractor, warning, warning, warning, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlReaderContext

          public XmlReaderContext(Resource resource,
                          ProblemReporter problemReporter,
                          ReaderEventListener eventListener,
                          SourceExtractor sourceExtractor,
                          XmlBeanDefinitionReader reader,
                          NamespaceHandlerResolver namespaceHandlerResolver)

  - ### Method Detail

    - #### getReader

          public final XmlBeanDefinitionReader getReader()

    - #### getRegistry

          public final BeanDefinitionRegistry getRegistry()

    - #### getResourceLoader

          public final ResourceLoader getResourceLoader()

    - #### getBeanClassLoader

          public final ClassLoader getBeanClassLoader()

    - #### getNamespaceHandlerResolver

          public final NamespaceHandlerResolver getNamespaceHandlerResolver()

    - #### generateBeanName

          public String generateBeanName(BeanDefinition beanDefinition)

    - #### registerWithGeneratedName

          public String registerWithGeneratedName(BeanDefinition beanDefinition)